| Home | Libraries | People | FAQ | More

# boost::asio::strand_service Class Reference

Inherits boost::asio::io_service::service.

Inheritance diagram for boost::asio::strand_service:

List of all members.

## Detailed Description

Default service implementation for a strand.

## Public Types

typedef implementation_defined | implementation_type
| The implementation type of the strand.

## Public Member Functions

| strand_service (boost::asio::io_service &io_service)
| Construct a new timer service for the specified io_service.
void | shutdown_service ()
| Destroy all user-defined handler objects owned by the service.
void | construct (implementation_type &impl)
| Construct a new timer implementation.
void | destroy (implementation_type &impl)
| Destroy a timer implementation.
template<typename Handler>
void | dispatch (implementation_type &impl, Handler handler)
| Request the io_service to invoke the given handler.
template<typename Handler>
void | post (implementation_type &impl, Handler handler)
| Request the io_service to invoke the given handler and return immediately.
io_service & | owner ()
| Get the io_service object that owns the service.

## Member Typedef Documentation

typedef implementation_defined boost::asio::strand_service::implementation_type

The implementation type of the strand.

## Constructor & Destructor Documentation

boost::asio::strand_service::strand_service | ( | boost::asio::io_service & | io_service | ) | `[explicit]`

Construct a new timer service for the specified io_service.

## Member Function Documentation

void boost::asio::strand_service::shutdown_service | ( |  | ) | `[virtual]`

Destroy all user-defined handler objects owned by the service.

Implements boost::asio::io_service::service.

void boost::asio::strand_service::construct | ( | implementation_type & | impl | ) |

Construct a new timer implementation.

void boost::asio::strand_service::destroy | ( | implementation_type & | impl | ) |

Destroy a timer implementation.

template<typename Handler>

void boost::asio::strand_service::dispatch | ( | implementation_type & | impl,
|  | Handler | handler |
| ) |  |  |

Request the io_service to invoke the given handler.

template<typename Handler>

void boost::asio::strand_service::post | ( | implementation_type & | impl,
|  | Handler | handler |
| ) |  |  |

Request the io_service to invoke the given handler and return immediately.

io_service & boost::asio::io_service::service::owner | ( |  | ) | `[inherited]`

Get the io_service object that owns the service.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff